import config from '../config/index.js'
import JWT from './lib/JsonWebToken.js'

export default () => (req, res, next) => {
  //if (Config.public.includes(req.path)) return next();
  const header = req.headers['authorization'] ? req.headers['authorization'] : null
  const token = header && /^Bearer (.*?)$/.test(header) ? /^Bearer (.*?)$/.exec(header)[1] : null
  //if (!token) return res.sendStatus(401)
  req.app = config.app
  req.auth = { subdivision_id: config.subdivision.id }
  if (token) {
    const payload = JWT.verify(token)
    if (payload) {
      req.auth = {
        staff_id: payload.staff_id || null,
        manager_id: payload.manager_id || null,
        user_id: payload.user_id || null,
        workplace_id: payload.workplace_id || null,
        subdivision_id: payload.subdivision_id || config.subdivision.id,
        is_master: payload.subdivision_id === config.subdivision.id && config.subdivision.is_master
      }
    }
  }
  next()
}