import sequelize, { Model, DataTypes } from '@sequelize/core'
import { subdivision } from '../../../../../config/index.js'
import instance from '../../../instance.js'

class FiscalRegister extends Model { }
FiscalRegister.init({
    id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    subdivision_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    name: { type: DataTypes.STRING, allowNull: false },
    is_enabled: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    is_physical: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    vendor: { type: DataTypes.STRING, allowNull: false },
    host: { type: DataTypes.STRING(36), allowNull: true },
    port: { type: DataTypes.STRING(10), allowNull: true },
    license: { type: DataTypes.STRING, allowNull: true },
    login: { type: DataTypes.STRING, allowNull: true },
    password: { type: DataTypes.STRING, allowNull: true },
    number: { type: DataTypes.STRING(24), allowNull: true },
    used: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    status: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    error: { type: DataTypes.STRING(1024), allowNull: false, defaultValue: '' },
}, {
    sequelize: instance,
    modelName: 'fiscal_registers',
    tableName: 'fiscal_registers',
    indexes: [
        { name: 'fiscal_registers_fts', fields: ['name'], type: 'FULLTEXT' }
    ]
});

export default FiscalRegister