import sequelize, { Model, DataTypes } from '@sequelize/core'
import { subdivision } from '../../../../../config/index.js'
import instance from '../../../instance.js'

class PrescriptionSupplier extends Model { }
PrescriptionSupplier.init({
    id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    subdivision_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    name: { type: DataTypes.STRING, allowNull: false },
    is_enabled: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    vendor: { type: DataTypes.STRING, allowNull: false },
    license: { type: DataTypes.STRING, allowNull: false },
    login: { type: DataTypes.STRING, allowNull: false },
    password: { type: DataTypes.STRING, allowNull: false },
}, {
    sequelize: instance,
    modelName: 'prescription_suppliers',
    tableName: 'prescription_suppliers',
    indexes: [
    ]
});

export default PrescriptionSupplier