import { DataTypes, Model } from '@sequelize/core'
import { subdivision } from '../../../../../config/index.js'
import instance from '../../../instance.js'

class Scales extends Model { }

Scales.init({
    id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    subdivision_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    name: { type: DataTypes.STRING, allowNull: false },
    is_enabled: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    vendor: { type: DataTypes.STRING, allowNull: false },
    port: { type: DataTypes.STRING, allowNull: false },
    used: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    status: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    error: { type: DataTypes.STRING(1024), allowNull: false, defaultValue: '' },
}, {
    sequelize: instance,
    modelName: 'scales',
    tableName: 'scales',
    indexes: [
        { name: 'scales_fts', fields: ['name'], type: 'FULLTEXT' }
    ]
});



export default Scales