import { Model, DataTypes } from '@sequelize/core'
import instance from '../../../instance.js'

class Product extends Model { }
Product.init({
    id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    name: { type: DataTypes.STRING(), allowNull: false },
    name_in_receipt: { type: DataTypes.STRING(64), allowNull: false, defaultValue: '' },
    article: { type: DataTypes.STRING(24), allowNull: false, defaultValue: '' },
    uktzed: { type: DataTypes.STRING(24), allowNull: false, defaultValue: '' },
    tax_id: { type: DataTypes.STRING(36), allowNull: true, references: { model: 'taxes', key: 'id' } },
    kind_id: { type: DataTypes.STRING(36), allowNull: true, references: { model: 'products_kinds', key: 'id' } },
    category_id: { type: DataTypes.STRING(36), allowNull: true, references: { model: 'products_categories', key: 'id' } },
    packing_id: { type: DataTypes.STRING(36), allowNull: true, defaultValue: null },// references: { model: 'products_packings', key: 'id' } },

    //  Поля які використовуються для аптечних товарів 
    active_substance_id: { type: DataTypes.STRING(36), allowNull: true, references: { model: 'products_active_substances', key: 'id' } },
    producer_id: { type: DataTypes.STRING(36), allowNull: true, references: { model: 'products_producers', key: 'id' } },
    substitutes_id: { type: DataTypes.STRING(36), allowNull: true },
    is_drug: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    is_insulin: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    is_thermolabile: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    need_accounting: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    need_prescription: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },


    is_enabled: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: 1 },
}, {
    sequelize: instance,
    modelName: 'products',
    tableName: 'products',
    indexes: [
        { name: 'products_fts', fields: ['name'], type: 'FULLTEXT' },
        { name: 'enabled_products_index', fields: ['is_enabled', 'name'] }
    ]
    // indexes: [{ name: 'products_fts', fields: ['name', 'manufacturer', 'barcode', 'substance'], type: 'FULLTEXT' }]
});


export default Product