import { Model, DataTypes } from '@sequelize/core'
import instance from '../../../instance.js'

class ProductBarcode extends Model { }
ProductBarcode.init({
    barcode: { type: DataTypes.STRING(36), primaryKey: true, allowNull: false },
    product_id: { type: DataTypes.STRING(36), primaryKey: false, allowNull: false, references: { model: 'products', key: 'id' } },
    packing_id: { type: DataTypes.STRING(36), primaryKey: false, allowNull: false, references: { model: 'products_packings', key: 'id' } },
    characteristic_id: { type: DataTypes.STRING(36), primaryKey: false, allowNull: true }, // references: { model: 'products_characteristics', key: 'id' } },
}, {
    sequelize: instance,
    modelName: 'products_barcodes',
    tableName: 'products_barcodes',
    indexes: [
        { name: 'barcodes_fts', fields: ['barcode'], type: 'FULLTEXT' },
        { name: 'product_index_1', fields: ['product_id'], unique: false },
        { name: 'product_index_2', fields: ['product_id', 'packing_id'], unique: false },
        { name: 'product_index_3', fields: ['product_id', 'packing_id', 'characteristic_id'], unique: false },
    ]
});
ProductBarcode.removeAttribute('id')

export default ProductBarcode