import { Model, DataTypes } from '@sequelize/core'
import instance from '../../../instance.js'

class ProductCategory extends Model { }
ProductCategory.init({
    id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    parent_id: { type: DataTypes.STRING, allowNull: true },
    name: { type: DataTypes.STRING, allowNull: false },
    number: { type: DataTypes.STRING, allowNull: true },
    color: { type: DataTypes.STRING, allowNull: true },
    image: { type: DataTypes.TEXT('medium'), allowNull: true },
    position: { type: DataTypes.INTEGER, allowNull: false, defaultValue: 0 },
    is_enabled: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: true },
    deletion_mark: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false }
}, {
    sequelize: instance,
    modelName: 'products_categories',
    tableName: 'products_categories',
    indexes: [
        { name: 'categories_fts', fields: ['name'], type: 'FULLTEXT' },
    ]

});

export default ProductCategory