import { Model, DataTypes } from '@sequelize/core'
import instance from '../../../instance.js'

class ProductCharacteristic extends Model { }
ProductCharacteristic.init({
    id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    name: { type: DataTypes.STRING },
    deletion_mark: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false }
}, {
    sequelize: instance,
    modelName: 'products_characteristics',
    tableName: 'products_characteristics',
    indexes: [
        { name: 'characteristics_fts', fields: ['name'], type: 'FULLTEXT' }
    ]
});

export default ProductCharacteristic