import { Model, DataTypes } from '@sequelize/core'
import instance from '../../../instance.js'

class ProductPacking extends Model { }
ProductPacking.init({
    id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    name: { type: DataTypes.STRING, allowNull: false, defaultValue: '' },
    product_id: { type: DataTypes.STRING(36), allowNull: true, references: { model: 'products', key: 'id' } },
    unit_id: { type: DataTypes.STRING(36), allowNull: true },// references: { model: 'units', key: 'id' } },
    coefficient: { type: DataTypes.REAL, allowNull: false, defaultValue: 1 },
    is_weight: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    deletion_mark: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false }
}, {
    sequelize: instance,
    modelName: 'products_packings',
    tableName: 'products_packings',
    indexes: [
        { name: 'packings_fts', fields: ['name'], type: 'FULLTEXT' },
    ]
});

export default ProductPacking