import { Model, DataTypes } from '@sequelize/core'
import instance from '../../../instance.js'

class Series extends Model { }
Series.init({
    id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    subdivision_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    product_id: { type: DataTypes.STRING(36), allowNull: false, references: { model: 'products', key: 'id' } },
    kind_id: { type: DataTypes.STRING(36), allowNull: true },// references: { model: 'products_kinds', key: 'id' } },
    name: { type: DataTypes.STRING },
    expiration_date: { type: DataTypes.DATE, allowNull: true },
    deletion_mark: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false }
}, {
    sequelize: instance,
    modelName: 'products_series',
    tableName: 'products_series',
    indexes: [
        { name: 'series_fts', fields: ['name'], type: 'FULLTEXT' }
    ]
});


export default Series