import { Model, DataTypes } from '@sequelize/core'
import instance from '../../../instance.js'

class ProductShortcut extends Model { }
ProductShortcut.init({
    id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    subdivision_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    product_id: { type: DataTypes.STRING(36), allowNull: false, references: { model: 'products', key: 'id' } },
    packing_id: { type: DataTypes.STRING(36), allowNull: false, references: { model: 'products_packings', key: 'id' } },
    quantity: { type: DataTypes.REAL, allowNull: false, defaultValue: 1.0 },
    name: { type: DataTypes.STRING, allowNull: true },
    color: { type: DataTypes.STRING, allowNull: true },
    image: { type: DataTypes.TEXT('medium'), allowNull: true },
    position: { type: DataTypes.INTEGER, allowNull: false, defaultValue: 0 },
    is_enabled: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: true },
    deletion_mark: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false }
}, {
    sequelize: instance,
    modelName: 'products_shortcuts',
    tableName: 'products_shortcuts',
    indexes: [
        { name: 'enabled_shortcuts_index', fields: ['is_enabled'] }
    ]

});

export default ProductShortcut