import { Model, DataTypes } from '@sequelize/core'
import instance from '../../../instance.js'

class Counterparty extends Model { }
Counterparty.init({
    id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    name: { type: DataTypes.STRING, allowNull: false, defaultValue: '' },
    fullname: { type: DataTypes.STRING, allowNull: false, defaultValue: '' },
    email: { type: DataTypes.STRING, allowNull: false, defaultValue: '' },
    phone: { type: DataTypes.STRING(16), allowNull: true, defaultValue: '' },
    is_client: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    is_supplier: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    deletion_mark: { type: DataTypes.BOOLEAN, allowNull: true, defaultValue: false },
}, {
    sequelize: instance,
    modelName: 'counterparties',
    tableName: 'counterparties',
    indexes: [
        { name: 'counterparties_fts', fields: ['name', 'fullname', 'email', 'phone'], type: 'FULLTEXT' },
    ]
});

export default Counterparty