import { Model, DataTypes } from '@sequelize/core'
import instance from '../../../instance.js'

class CounterpartiesProduct extends Model { }
CounterpartiesProduct.init({
    counterparty_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true, references: { model: 'counterparties', key: 'id' } },
    product_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true, references: { model: 'products', key: 'id' } },
    packing_id: { type: DataTypes.STRING(36), allowNull: false, references: { model: 'products_packings', key: 'id' } },
    name: { type: DataTypes.STRING, allowNull: false, defaultValue: '' },
    position: { type: DataTypes.INTEGER, allowNull: false, defaultValue: 0 },
}, {
    sequelize: instance,
    modelName: 'counterparties_products',
    tableName: 'counterparties_products',
    indexes: [
        { name: 'counterparties_products_fts', fields: ['name'], type: 'FULLTEXT' },
    ]
});
CounterpartiesProduct.removeAttribute('id')

export default CounterpartiesProduct