import { Model, DataTypes } from '@sequelize/core'
import instance from '../../../instance.js'

class PaymentMethod extends Model { }
PaymentMethod.init({
    id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    subdivision_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    acquiring_id: { type: DataTypes.STRING(36), allowNull: true, defaultValue: null, references: { model: 'acquiring_terminals', key: 'id' } },
    type: { type: DataTypes.STRING, allowNull: false }, // "CASH", "CARD", "CERTIFICATE", "BONUSES", "DISCOUNT"
    name: { type: DataTypes.STRING, allowNull: false },
    rounding: { type: DataTypes.INTEGER, allowNull: false, defaultValue: 1 },
    rounding_rule: { type: DataTypes.INTEGER, allowNull: false, defaultValue: 'MATH' },
    is_enabled: { type: DataTypes.BOOLEAN, allowNull: false },
    position: { type: DataTypes.INTEGER, allowNull: true },
}, {
    sequelize: instance,
    modelName: 'payments_methods',
    tableName: 'payments_methods',
    indexes: [
        { name: 'payments_methods_fts', fields: ['name'], type: 'FULLTEXT' }
    ]
});

export default PaymentMethod