import { Model, DataTypes } from '@sequelize/core'
import instance from '../../../instance.js'

class PriceType extends Model { }
PriceType.init({
    id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    name: { type: DataTypes.STRING, allowNull: false },
    type: { type: DataTypes.STRING(24), allowNull: false, defaultValue: 'IN' },
    rounding: { type: DataTypes.INTEGER, allowNull: false, defaultValue: 1 },
    rounding_rule: { type: DataTypes.STRING(24), allowNull: false, defaultValue: "MATH" },
    deletion_mark: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false }
}, {
    sequelize: instance,
    modelName: 'price_types',
    tableName: 'price_types',
    indexes: [
        { name: 'price_types_fts', fields: ['name'], type: 'FULLTEXT' }
    ]
});

export default PriceType