import { Model, DataTypes } from '@sequelize/core'
import instance from '../../../instance.js'

class Role extends Model { }
Role.init({
    id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    name: { type: DataTypes.STRING, allowNull: false },
    workplace: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    negative_correction: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    is_administrator: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },

    can_view_statistic: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },

    can_view_reports: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    can_view_reports_sale: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    can_view_reports_stock: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    can_view_reports_money: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },

    can_manage_warehouse_accounting: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false }, // DEPRECATED
    can_view_documents: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    can_view_arrivals: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    can_view_returns: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    can_view_pricing: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    can_view_inventory: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    can_view_writeoff: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },

    can_view_only_real_values_in_inventory: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },

    can_view_shared_dictonaries: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    can_view_products: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    can_view_categories: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    can_view_taxes: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    can_view_price_types: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    can_view_roles: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    can_view_counterparties: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    can_view_transactions_articles: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },


    can_view_individual_dictonaries: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    can_view_shortcuts: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    can_view_warehouses: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    can_view_staff: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    can_view_workplaces: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    can_view_payment_methods: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    can_view_registers: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    can_view_acquirings: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    can_view_scales: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },

    can_view_settings: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },

}, {
    sequelize: instance,
    modelName: 'roles',
    tableName: 'roles',
    indexes: [
        { name: 'roles_fts', fields: ['name'], type: 'FULLTEXT' }
    ]
});

export default Role