import { Model, DataTypes } from '@sequelize/core'
import instance from '../../../instance.js'

class Staff extends Model { }
Staff.init({
    id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    subdivision_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    role_id: { type: DataTypes.STRING(36), allowNull: false, references: { model: 'roles', key: 'id' } },
    firstname: { type: DataTypes.STRING, allowNull: false, defaultValue: '' },
    lastname: { type: DataTypes.STRING, allowNull: false, defaultValue: '' },
    fathername: { type: DataTypes.STRING, allowNull: true, },
    email: { type: DataTypes.STRING, allowNull: false },
    phone: { type: DataTypes.STRING(16), allowNull: true },
    pin: { type: DataTypes.STRING(8), allowNull: true },
    password: { type: DataTypes.STRING, allowNull: true },
}, {
    sequelize: instance,
    modelName: 'staffs',
    tableName: 'staffs',
    indexes: [
        { name: 'staffs_fts', fields: ['firstname', 'lastname', 'fathername'], type: 'FULLTEXT' },
    ]
});

export default Staff