import { Model, DataTypes } from '@sequelize/core'
import instance from '../../../instance.js'

class Subdivision extends Model { }
Subdivision.init({
    id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    name: { type: DataTypes.STRING(36), allowNull: false },
    number: { type: DataTypes.INTEGER, allowNull: true },
    is_master: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: 0 },
}, {
    sequelize: instance,
    modelName: 'subdivisions',
    tableName: 'subdivisions',
    indexes: [
        { name: 'subdivisions_fts', fields: ['name'], type: 'FULLTEXT' }
    ]
});


export default Subdivision