import { Model, DataTypes } from '@sequelize/core'
import instance from '../../../instance.js'

class Tax extends Model { }
Tax.init({
    id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    name: { type: DataTypes.STRING, allowNull: false },
    value: { type: DataTypes.REAL, allowNull: true },
    code: { type: DataTypes.INTEGER, allowNull: true },
    letter: { type: DataTypes.STRING, allowNull: true },
}, {
    sequelize: instance,
    modelName: 'taxes',
    tableName: 'taxes',
    indexes: [
        { name: 'taxes_fts', fields: ['name'], type: 'FULLTEXT' }
    ]
});

export default Tax