import { Model, DataTypes } from '@sequelize/core'
import instance from '../../../instance.js'

class Warehouse extends Model { }
Warehouse.init({
    id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    subdivision_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    name: { type: DataTypes.STRING, allowNull: false },
    price_type_id: { type: DataTypes.STRING(36), allowNull: true, references: { model: "price_types", key: 'id' } },
    use_cells: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    use_advanced_warehousing: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
    deletion_mark: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false },
}, {
    sequelize: instance,
    modelName: 'warehouses',
    tableName: 'warehouses',
    indexes: [
        { name: 'warehouses_fts', fields: ['name'], type: 'FULLTEXT' }
    ]
});

export default Warehouse