import { Model, DataTypes } from '@sequelize/core'
import instance from '../../../instance.js'

class Workplace extends Model { }
Workplace.init({
    id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    subdivision_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    register_id: { type: DataTypes.STRING(36), allowNull: true, references: { model: "fiscal_registers", key: 'id' } },
    scale_id: { type: DataTypes.STRING(36), allowNull: true, references: { model: "scales", key: 'id' } },
    price_type_id: { type: DataTypes.STRING(36), allowNull: true, references: { model: "price_types", key: 'id' } },
    name: { type: DataTypes.STRING, allowNull: false },
    login: { type: DataTypes.STRING, allowNull: false },
    password: { type: DataTypes.STRING, allowNull: false },
    message: { type: DataTypes.STRING, allowNull: false, defaultValue: '' },
    printing: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: true },
}, {
    sequelize: instance,
    modelName: 'workplaces',
    tableName: 'workplaces',
    indexes: [
        { name: 'workplaces_fts', fields: ['name'], type: 'FULLTEXT' }
    ]
});


export default Workplace