import { Model, DataTypes } from '@sequelize/core'
import instance from '../../../instance.js'


class DocumentDraft extends Model { }
DocumentDraft.init({
    id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    subdivision_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    number: { type: DataTypes.INTEGER, allowNull: false, defaultValue: 0 },
    presentation: { type: DataTypes.STRING, allowNull: false },
    status: { type: DataTypes.STRING, allowNull: false }, // NEW | CANCELED | CLOSED
    workplace_id: { type: DataTypes.STRING(36), allowNull: false, references: { model: 'workplaces', key: 'id' } },
    staff_id: { type: DataTypes.STRING(36), allowNull: false, references: { model: 'staffs', key: 'id' } },
    //shift_id: { type: DataTypes.STRING(36), allowNull: false, references: { model: 'shifts', key: 'id' } },
}, {
    sequelize: instance,
    modelName: 'draft_documents',
    tableName: 'draft_documents',
    indexes: [
    ]
});

export default DocumentDraft