import { Model, DataTypes } from '@sequelize/core'
import moment from 'moment';
import instance from '../../../instance.js'

class Document extends Model { }
Document.init({
    id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    subdivision_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    number: { type: DataTypes.INTEGER, allowNull: false, defaultValue: 0 },
    presentation: { type: DataTypes.VIRTUAL, get: function () { return this.name || `Інвентаризація від ${moment(this.getDataValue('createdAt')).format('DD.MM.YYYY HH:mm:ss')}` } },
    name: { type: DataTypes.STRING, allowNull: true, defaultValue: null },
    warehouse_id: { type: DataTypes.STRING(36), allowNull: false, references: { model: 'warehouses', key: 'id' } },
    deletion_mark: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false }
}, {
    sequelize: instance,
    modelName: 'inventory_documents',
    tableName: 'inventory_documents',
    indexes: [
    ]
});

export default Document