import { Model, DataTypes } from '@sequelize/core'
import instance from '../../../instance.js'

class Good extends Model { }
Good.init({
    subdivision_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    document_id: { type: DataTypes.STRING(36), primaryKey: true, allowNull: false, references: { model: 'inventory_documents', key: 'id' } },
    product_id: { type: DataTypes.STRING(36), primaryKey: true, allowNull: false, references: { model: 'products', key: 'id' } },
    series_id: { type: DataTypes.STRING(36), primaryKey: true, allowNull: false },//, references: { model: 'products_series', key: 'id' } },
    packing_id: { type: DataTypes.STRING(36), primaryKey: true, allowNull: false },//, references: { model: 'products_packings', key: 'id' } },
    accounted_quantity: { type: DataTypes.REAL, allowNull: false },
    actual_quantity: { type: DataTypes.REAL, allowNull: true, defaultValue: null },
    position: { type: DataTypes.INTEGER, allowNull: false, defaultValue: 0 },
    deletion_mark: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false }
}, {
    sequelize: instance,
    modelName: 'inventory_documents_goods',
    tableName: 'inventory_documents_goods',
    indexes: [
        { name: 'inventory_goods_by_document_id', fields: ['document_id'] }
    ]
});

export default Good