import { Model, DataTypes } from '@sequelize/core'
import moment from 'moment';
import instance from '../../../instance.js'

class Document extends Model { }
Document.init({
    id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    subdivision_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    number: { type: DataTypes.INTEGER, allowNull: false, defaultValue: 0 },
    presentation: { type: DataTypes.VIRTUAL, get: function () { return this.name || `Ціноутворення від ${moment(this.getDataValue('createdAt')).format('DD.MM.YYYY HH:mm:ss')}` } },
    name: { type: DataTypes.STRING, allowNull: true, defaultValue: null },
    basis_id: { type: DataTypes.STRING(36), allowNull: true, references: { model: 'arrival_documents', key: 'id' } },
    price_type_id: { type: DataTypes.STRING(36), allowNull: false, references: { model: 'price_types', key: 'id' } },
}, {
    sequelize: instance,
    modelName: 'pricing_documents',
    tableName: 'pricing_documents',
    indexes: [
    ]
});

export default Document