import { Model, DataTypes } from '@sequelize/core'
import instance from '../../../instance.js'

class Good extends Model { }
Good.init({
    subdivision_id: { type: DataTypes.STRING(36), primaryKey: true, allowNull: false },
    document_id: { type: DataTypes.STRING(36), primaryKey: true, allowNull: false, references: { model: 'pricing_documents', key: 'id', } },
    product_id: { type: DataTypes.STRING(36), primaryKey: true, allowNull: false, references: { model: 'products', key: 'id' } },
    series_id: { type: DataTypes.STRING(36), primaryKey: true, allowNull: false },//, references: { model: 'products_series', key: 'id' } },
    packing_id: { type: DataTypes.STRING(36), primaryKey: true, allowNull: false, references: { model: 'products_packings', key: 'id' } },
    price: { type: DataTypes.REAL, allowNull: false },
    pricing_type: { type: DataTypes.STRING(24), allowNull: false, defaultValue: 'PERCENTAGE' },
    pricing_value: { type: DataTypes.REAL, allowNull: false, defaultValue: 0 },
    pricing_result: { type: DataTypes.REAL, allowNull: false, defaultValue: 0 },
    position: { type: DataTypes.INTEGER, allowNull: false, defaultValue: 0 },
    deletion_mark: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false }
}, {
    sequelize: instance,
    modelName: 'pricing_documents_goods',
    tableName: 'pricing_documents_goods',
    indexes: [
        //{ name: 'unique_pricing_documents_goods', fields: ['subdivision_id', 'document_id', 'product_id', 'series_id', 'packing_id'], unique: true }
    ]
});
Good.removeAttribute('id');
export default Good