import { Model, DataTypes } from '@sequelize/core'
import instance from '../../../instance.js'

class Document extends Model { }
Document.init({
    id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    subdivision_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    basis_id: { type: DataTypes.STRING(36), allowNull: false }, // references: { model: 'draft_documents', key: 'id' } },
    number: { type: DataTypes.INTEGER, allowNull: false, defaultValue: 0 },
    type: { type: DataTypes.STRING, allowNull: true }, // SELL | RETURN
    presentation: { type: DataTypes.STRING, allowNull: false },
    status: { type: DataTypes.STRING, allowNull: false, defaultValue: 'NEW' }, // NEW | CLOSED 
    workplace_id: { type: DataTypes.STRING(36), allowNull: false, references: { model: 'workplaces', key: 'id' } },
    staff_id: { type: DataTypes.STRING(36), allowNull: false, references: { model: 'staffs', key: 'id' } },
    shift_id: { type: DataTypes.STRING(36), allowNull: false, references: { model: 'shifts', key: 'id' } },
    register_id: { type: DataTypes.STRING(36), allowNull: true, defaultValue: null, references: { model: 'fiscal_registers', key: 'id' } },
    fiscal_id: { type: DataTypes.STRING(36), allowNull: true },
    fiscal_code: { type: DataTypes.STRING, allowNull: true },
    fiscal_date: { type: DataTypes.STRING, allowNull: true },
    fiscal_sell_offline: { type: DataTypes.BOOLEAN, allowNull: true },
    fiscal_send: { type: DataTypes.BOOLEAN, allowNull: true },
}, {
    sequelize: instance,
    modelName: 'receipt_documents',
    tableName: 'receipt_documents',
    indexes: [
    ]
});

export default Document