import { Model, DataTypes } from '@sequelize/core'
import instance from '../../../instance.js'

class Payment extends Model { }
Payment.init({
    subdivision_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    document_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true, references: { model: 'receipt_documents', key: 'id' } },
    method_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true, references: { model: 'payments_methods', key: 'id' } },
    status: { type: DataTypes.STRING, allowNull: false }, // AWAIT | PAYED
    amount: { type: DataTypes.REAL, allowNull: false },
    amount_rounded: { type: DataTypes.REAL, allowNull: true },
    total: { type: DataTypes.REAL, allowNull: true },
    invoice_number: { type: DataTypes.STRING, allowNull: true, defaultValue: null },
    reference_number: { type: DataTypes.STRING, allowNull: true, defaultValue: null },
    card_number: { type: DataTypes.STRING, allowNull: true, defaultValue: null },
    card_expiry: { type: DataTypes.STRING, allowNull: true, defaultValue: null }

}, {
    sequelize: instance,
    modelName: 'receipt_documents_payments',
    tableName: 'receipt_documents_payments',
    indexes: [
    ]
});

export default Payment