import { Model, DataTypes } from '@sequelize/core'
import instance from '../../../instance.js'

class Document extends Model { }
Document.init({
    id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    subdivision_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    number: { type: DataTypes.INTEGER, allowNull: false, defaultValue: 0 },
    presentation: { type: DataTypes.STRING, allowNull: false },
    status: { type: DataTypes.STRING, allowNull: false, defaultValue: 'NEW' }, // NEW | CLOSED 
    workplace_id: { type: DataTypes.STRING(36), allowNull: false, references: { model: 'workplaces', key: 'id' } },
    staff_id: { type: DataTypes.STRING(36), allowNull: false, references: { model: 'staffs', key: 'id' } },
    shift_id: { type: DataTypes.STRING(36), allowNull: false, references: { model: 'shifts', key: 'id' } },
    warehouse_id: { type: DataTypes.STRING(36), allowNull: false, references: { model: 'warehouses', key: 'id' } },
    uploading_mark: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false }
}, {
    sequelize: instance,
    modelName: 'reports_documents',
    tableName: 'reports_documents',
    indexes: [
    ]
});

export default Document