import sequelize, { Model, DataTypes } from '@sequelize/core'
import instance from '../../../instance.js'

class Shift extends Model { }
Shift.init({
    id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    subdivision_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    number: { type: DataTypes.INTEGER, allowNull: false, defaultValue: 0 },
    status: { type: DataTypes.STRING, allowNull: false, defaultValue: "CREATED" }, // "CREATED" "OPENING" "OPENED" "CLOSING" "CLOSED"
    workplace_id: { type: DataTypes.STRING(36), allowNull: false, references: { model: 'workplaces', key: 'id' } },
    staff_id: { type: DataTypes.STRING(36), allowNull: false, references: { model: 'staffs', key: 'id' } },
    register_id: { type: DataTypes.STRING(36), allowNull: true, references: { model: 'fiscal_registers', key: 'id' } },
    uploading_mark: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false }
}, {
    sequelize: instance,
    modelName: 'shifts',
    tableName: 'shifts',
    indexes: []
});

export default Shift