import { Model, DataTypes } from '@sequelize/core'
import instance from '../../../instance.js'

class ProductPriceRegister extends Model { }
ProductPriceRegister.init({
    basis_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    product_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true, references: { model: 'products', key: 'id' } },
    series_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true, }, //references: { model: 'products_series', key: 'id' } },
    packing_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true }, // references: { model: 'products_packings', key: 'id' } },
    price_type_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true }, // references: { model: 'price_types', key: 'id' } },
    price: { type: DataTypes.REAL, allowNull: false },
    period: { type: DataTypes.DATE, allowNull: false },
    deletion_mark: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false }
}, {
    sequelize: instance,
    modelName: 'products_price_register',
    tableName: 'products_price_register',
    indexes: [
        { name: 'products_price_register_index', fields: ['product_id', 'series_id', 'packing_id', 'price_type_id'], unique: false, },
    ]
});
ProductPriceRegister.removeAttribute('id');

export default ProductPriceRegister