import { Model, DataTypes } from '@sequelize/core'
import instance from '../../../instance.js'


class ProductStockRegister extends Model { }
ProductStockRegister.init({
    basis_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    product_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true, references: { model: 'products', key: 'id' } },
    series_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true }, // references: { model: 'products_series', key: 'id' } },
    warehouse_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true }, // references: { model: 'warehouses', key: 'id' } },
    assignment_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true },
    in_stock: { type: DataTypes.REAL, allowNull: false },
    to_ship: { type: DataTypes.REAL, allowNull: false },
    period: { type: DataTypes.DATE, allowNull: false },
    deletion_mark: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false }
}, {
    sequelize: instance,
    modelName: 'products_stock_register',
    tableName: 'products_stock_register',
    indexes: [
        { name: 'products_stock_register_by_basis_id', fields: ['basis_id'] },
        { name: 'products_stock_register_index', fields: ['product_id', 'series_id', 'warehouse_id', 'assignment_id'] },
    ],
});

export default ProductStockRegister