import sequelize, { Model, DataTypes, } from '@sequelize/core'
import instance from '../../../instance.js'


class SalesRegister extends Model { }
SalesRegister.init({
    basis_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true }, // Receipt ID
    subdivision_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true, references: { model: 'subdivisions', key: 'id' } },
    workplace_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true, references: { model: 'workplaces', key: 'id' } },
    staff_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true, references: { model: 'staffs', key: 'id' } },
    product_id: { type: DataTypes.STRING(36), allowNull: false, primaryKey: true, references: { model: 'products', key: 'id' } },
    category_id: { type: DataTypes.STRING(36), allowNull: true, references: { model: 'products_categories', key: 'id' } },
    operation: { type: DataTypes.STRING(20), allowNull: false, }, // SELL or RETURN  
    amount: { type: DataTypes.REAL, allowNull: false },
    total: { type: DataTypes.REAL, allowNull: false },
    period: { type: DataTypes.DATE, allowNull: false, defaultValue: DataTypes.NOW },
    deletion_mark: { type: DataTypes.BOOLEAN, allowNull: false, defaultValue: false }
}, {
    sequelize: instance,
    modelName: 'sales_register',
    tableName: 'sales_register',
    indexes: [
    ],
});

export default SalesRegister

export class SalesRegisterHelper {
    static async insert(payload, options = {}) {
        SalesRegister.upsert(payload, options)
    }
}