export default class Transform {
    static parse({ data, structure, resolver }) {
        if (!data) return null
        var result = null
        let is_array = Array.isArray(data)
        if (is_array) {
            result = data.map(item => {
                let child = {}
                Object.keys(structure).map(key => {
                    if (typeof structure[key] === "string") {
                        child[key] = item[structure[key]]
                    } else {
                        child[key] = Transform.parse({ data: item[structure[key].key], structure: structure[key].structure, resolver: structure[key].resolver, })
                    }
                })
                return child
            })
        } else {
            result = {}
            Object.keys(structure).map(key => {
                if (typeof structure[key] === "string") {
                    result[key] = data[structure[key]]
                } else {
                    result[key] = Transform.parse({ data: data[structure[key].key], structure: structure[key].structure, resolver: structure[key].resolver, })
                }
            })
        }
        return resolver ? resolver(result) : result
    }


    static prepare(data, info = { status: true, message: null }) {
        return { "Status": info.status, "Message": info.message, ...data }
    }
}