import { Op } from '@sequelize/core'
import Database from '../database/index.js'

export default class DraftHelper {

    static async ApplyProductStockMoves({ basis_id, warehouse_id, assignment_id = "", product_id, series_id, in_stock, to_ship = 0, period = new Date().toISOString() }, transaction) {
        const counter = await Database.Registers.ProductStock.findOne({ where: { basis_id, warehouse_id, product_id, series_id, }, transaction })
        if (in_stock > 0) {
            if (counter) {
                if (counter.getDataValue('in_stock') != in_stock || counter.getDataValue('to_ship') != to_ship) {
                    await Database.Registers.ProductStock.update({ in_stock, to_ship, period }, { where: { basis_id, warehouse_id, assignment_id, product_id, series_id, }, transaction })
                }
            } else {
                await Database.Registers.ProductStock.create({ basis_id, warehouse_id, assignment_id, product_id, series_id, in_stock, to_ship, period }, { transaction })
            }
        } else {
            await Database.Registers.ProductStock.destroy({ where: { basis_id, warehouse_id, assignment_id, product_id, series_id, }, transaction })
        }
    }
}