interface AquaringTerminalError {
    constructor(message: string, code: number, canceled: boolean);
    message: string;
    code: number;
    canceled: boolean;

}

interface AquaringTerminal {
    get codes(): any;
    info: any | null;
    messages: Array<string>

    constructor(url: string);
    error(payload: any): AquaringTerminalError

    request(data: any, timeout: number, forward_zero: boolean): Promise<any>

    connect(): Promise<void>
    send(data: any, timeout: number): Promise<any>

    ping(): Promise<any>
    identify(): Promise<any>
    checkConnection(): Promise<any>
    getTerminalInfo(): Promise<any>
    getMerchantList(): Promise<any>
    getBalance(): Promise<any>
    getXReport(): Promise<any>
    getZReport(): Promise<any>
    readBankCard(): Promise<any>
    readDiscountCard(): Promise<any>
    pay(amount: number): Promise<any>
    print(invoice: string | number): Promise<any>
    withdrawal(invoice: string | number): Promise<any>
    refund(amount: number, rrn: string | number): Promise<any>
    cancel(): Promise<any>
}

declare class AquaringTerminalsFactory {
    static terminals: Array<any>;
    static addTerminal(id: string, vendor: string, options: any): Promise<AquaringTerminal>;
    static getTerminal(id: string): AquaringTerminal;
    static removeTerminal(id: string): void
}
export default AquaringTerminalsFactory;
