
import Privat from './Privat/index.js'
import Database from '../../database/index.js'

class AcquiringTerminalsFactory {
    static terminals = []
    static async addTerminal(id, vendor, options) {
        switch (vendor) {
            case "PRIVATBANK":
                const privat = new Privat(options.ip, () => { AcquiringTerminalsFactory.removeTerminal(id) })
                await privat.ping()
                await privat.identify()
                await privat.connect()
                AcquiringTerminalsFactory.terminals.push({ id, instance: privat })
                return privat
        }
    }
    static getTerminal(id) {
        return AcquiringTerminalsFactory.terminals.find(it => it.id == id)?.instance
    }
    static removeTerminal(id) {
        AcquiringTerminalsFactory.terminals = AcquiringTerminalsFactory.terminals.filter(it => it.id !== id)
    }
}

export default AcquiringTerminalsFactory