import jwt from 'jsonwebtoken'
import path from 'path'
import { fileURLToPath } from 'url'

import fs from 'fs'
import config from '../../config/index.js'


var public_key = fs.readFileSync(path.join(config.app.path, './config/credentials/public.pem'));
var private_key = fs.readFileSync(path.join(config.app.path, './config/credentials/private.pem'));

export default class JsonWebToken {
    static sign(payload) {
        Object.keys(payload).filter(key => payload[key] === undefined || payload[key] === null).map(key => delete payload[key])
        return jwt.sign(payload, private_key, { algorithm: "RS256" })
    }
    static verify(token) {
        try {
            return jwt.verify(token, public_key, { algorithms: ["RS256"], })
        } catch (error) {
            return null
        }
    }
}