import { v4 as uuid } from "uuid"
import Database from "../database/index.js"
import config from "../../config/index.js"


// interface NotificationPayload {
//     subdivision_id?: string
//     type: 'error' | 'warning' | 'success' | 'update' | 'sync' | 'replication_send' | 'replication_receive' | 'replication_error' | 'exchange_receive' | 'exchange_send' | 'exchange_sync' | 'exchange_success' | 'exchange_error'
//     text: string
//     error_id?: string
// }
export default class Notifications {
    static async create({ subdivision_id = config.subdivision.id, type, text, error_id }) {
        await Database.System.Notifications.create({ id: uuid(), subdivision_id, type, text, ...(error_id ? { error_id } : {}) })
    }
}