
import Scarb from './Scarb/index.js'

class PrescriptionSuppliersFactory {
    static services = []
    static async addService(id, vendor, options) {
        switch (vendor) {
            case "SCARB":
                const instance = new Scarb({ ...options, url: "https://test.skarb.phrm.pro/api/v2" })
                PrescriptionSuppliersFactory.services.push({ id, instance })
                break
        }
    }
    static getService(id) {
        return PrescriptionSuppliersFactory.services.find(it => it.id == id)?.instance
    }
    static removeService(id) {
        PrescriptionSuppliersFactory.services = PrescriptionSuppliersFactory.services.filter(it => it.id !== id)
    }
}

export default PrescriptionSuppliersFactory