export default class Round {

    static #parse(value) {
        switch (typeof value) {
            case 'number': return value
            case 'string': return parseFloat(value)
            default: throw Error(`Помилка заокруглення числа [${value}](${typeof value})`)
        }
    }
    static money(value, rounding_value = 1, rounding_rule = 'MATH') {
        if (!value) return 0
        const parsed = Round.#parse(value)
        if (!rounding_rule) return Math.round(Math.round(parsed * 100 * 10) / 10) / 100.0
        const remainder = Math.round((parsed % (rounding_value / 100)) * 100) / 100
        let prepared = parsed - remainder
        let calculated = 0
        switch (rounding_rule) {
            case 'UPPER':
                calculated = prepared + (rounding_value / 100)
                break;
            case 'LOWER':
                calculated = prepared
                break;
            default:
                calculated = Math.round(parsed * 100 / rounding_value) / 100 * rounding_value
                break;
        }
        return Math.round(Math.round(calculated * 100 * 10) / 10) / 100.0
    }

    static quantity(value) {
        if (!value) return 0
        return (Math.round(Math.round(Round.#parse(value) * 1000 * 10) / 10) / 1000.0)
    }

}