interface ScaleOptions {
    port: string
    logging: boolean
}

interface Scale {
    constructor(options: ScaleOptions);

    connect(): Promise<void>
    refresh(): Promise<number>
    check(): Promise<void>
    close(): Promise<void>
}

declare class ScaleFactory {
    static scales: Array<any>;
    static useScale(options: ScaleOptions): Promise<number>
    static addScale(id: string, vendor: string, options: ScaleOptions): Promise<Scale>;
    static getScale(id: string): Scale;
    static removeScale(id: string): void
}

export default ScaleFactory;
