
import Cas from './Cas/index.js'
import Database from '../../database/index.js'

class ScaleFactory {
    static scales = []
    static async useScale(options) {
        switch (options.vendor) {
            case "CAS":
                const instance = new Cas({ ...options, logging: true })
                await instance.connect()
                const result = await instance.refresh()
                await instance.close()
                return result
            default:
                throw Error(`Поточна електронна вага не підтримується: ${options}`)
        }
    }
    static async addScale(id, vendor, options) {
        switch (vendor) {
            case "CAS":
                const instance = new Cas({ ...options, logging: true })
                await instance.connect(() => { ScaleFactory.removeTerminal(id) })
                ScaleFactory.scales.push({ id, instance })
                return instance
        }
    }
    static getScale(id) {
        return ScaleFactory.scales.find(it => it.id == id)?.instance
    }
    static removeScale(id) {
        ScaleFactory.scales = ScaleFactory.scales.filter(it => it.id !== id)
    }
}

export default ScaleFactory