
import firebase from 'firebase-admin'

function getUsers(db, ids) {
    let where = ids.map(id => `id='${id}'`).join(' OR ')
    return new Promise((resolve, reject) => {
        db.query(`SELECT * FROM users WHERE ${where}`, function (error, result, fields) {
            let users = {}
            if (result) {
                result.map(user => users[user.id] = user)
            }
            return resolve(users)
        })
    })
}


function getFirebaseUsers(ids) {
    return new Promise((resolve, reject) => {
        return firebase.auth().getUsers(ids.map(id => ({ uid: id }))).then(({ users }) => {
            let result = {}
            users.map(user => result[user.uid] = user)
            return resolve(result)
        })
    })
}

export default { getUsers, getFirebaseUsers }