export default class Rest {
    static pagination(req, res, size) {
        const where = { ...req.query }
        const pagination = {}
        if (typeof where.limit != 'undefined') {
            pagination['limit'] = parseInt(where.limit)
        }
        if (typeof where.offset != 'undefined') {
            pagination['offset'] = parseInt(where.offset)
        }
        if (pagination.hasOwnProperty('limit') && pagination.hasOwnProperty('offset')) {
            res.setHeader('Pagination', 'true')
            res.setHeader('Pagination-Limit', pagination['limit'] ? pagination['limit'] : 0)
            res.setHeader('Pagination-Offset', pagination['offset'] ? pagination['offset'] : 0)
            res.setHeader('Pagination-Total', size)
            res.setHeader('Pagination-Page-Current', parseInt(pagination['offset'] / pagination['limit']) + 1)
            res.setHeader('Pagination-Page-Total', Math.ceil(size / pagination['limit']))
        }
        pagination['order'] = where.order_by ? [[where.order_by, ['1', 'true'].includes(where.order_by_desc) ? 'DESC' : 'ASC']] : [['createdAt', 'DESC']]
        res.setHeader('Pagination-Order-By', pagination['order'][0][0])
        if (pagination['order'][0][1] === 'DESC') {
            res.setHeader('Pagination-Order-By-Desc', 'true')
        }
        return pagination
    }

    static where(req, aditional, exclude = []) {
        const where = { ...req.query }
        delete where.limit
        delete where.offset
        delete where.order_by
        delete where.order_by_desc
        exclude.map(key => { delete where[key] })
        Object.keys(where).map(key => {
            if (where[key] === 'true') return where[key] = true
            if (where[key] === 'false') return where[key] = false
            if (where[key] === 'null') return where[key] = null
            if (/^[0-9]$/.test(where[key])) return where[key] = parseInt(where[key])
            if (/^[0-9\.]$/.test(where[key])) return where[key] = parseFloat(where[key])
        })
        return { ...where, ...aditional }
    }
}